/* $Header: d:/cvsroot/tads/html/win32/w32dbgpr.h,v 1.3 1999/07/11 00:46:50 MJRoberts Exp $ */

/* Copyright (c) 1998 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  w32dbgpr.h - debugger preferences dialog
Function
  
Notes
  
Modified
  03/14/98 MJRoberts  - Creation
*/

#ifndef W32DBGPR_H
#define W32DBGPR_H

/*
 *   Run the debugger preferences dialog 
 */
void run_dbg_prefs_dlg(HWND owner, class CHtmlSys_dbgmain *mainwin);

/*
 *   Run the build configuration dialog 
 */
void run_dbg_build_dlg(HWND owner, class CHtmlSys_dbgmain *mainwin,
                       int init_page_id, int init_ctl_id);

/*
 *   Set default debugger values for a configuration 
 */
void set_dbg_defaults(class CHtmlSys_dbgmain *mainwin);

/*
 *   Set default build values for a configuration 
 */
void set_dbg_build_defaults(class CHtmlSys_dbgmain *mainwin,
                            const textchar_t *gamefile);

/* private - set version-specific build defaults */
void vsn_set_dbg_build_defaults(class CHtmlDebugConfig *config,
                                class CHtmlSys_dbgmain *mainwin,
                                const textchar_t *gamefile);

/*
 *   Clear all build information from a configuration 
 */
void clear_dbg_build_info(class CHtmlDebugConfig *config);

/*
 *   Run the new game wizard 
 */
void run_new_game_wiz(HWND owner, class CHtmlSys_dbgmain *mainwin);

/*
 *   Run the load-game-from-source wizard 
 */
void run_load_src_wiz(HWND owner, class CHtmlSys_dbgmain *mainwin,
                      const textchar_t *srcfile);


#endif /* W32DBGPR_H */

